Bug 143430 - pilot-xfer hangs after transfer
pilot-xfer hangs after transfer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pilot-link (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-20 14:08 EST by Ben Roe
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 04:20:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Roe 2004-12-20 14:08:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I am trying to transfer PRCs to my Tungsten E across a USB connection.
The file appears to transfer across and the "Synchronising <foo>"
message appears on the Palm, but then pilot-xfer just hangs and the
"Connection lost" dialog appears on the Palm. The file is not transferred.

Version-Release number of selected component (if applicable):
pilot-link-0.11.8-8

How reproducible:
Always

Steps to Reproduce:
1. Connect Palm, press hotsync
2. enter command "pilot-xfer -i file.prc"
3. wait
    

Actual Results:  File is not transferred and connection is lost

Expected Results:  File is transferred to Palm

Additional info:
Comment 1 Greg Hennessy 2004-12-28 15:41:53 EST
problem also appears on FC2 on x86_64 with pilot-link-0.11.8-3.1 and
kernel-smp-2.6.9-1.6_FC2

[gsh@libra ~]$ pilot-xfer -L -p /dev/usb/ttyUSB0
   No $PILOTPORT specified and no -p <port> given.
   Defaulting to '/dev/pilot'
                                                                                
                                                                                
   Listening to port: /dev/pilot
                                                                                
   Please press the HotSync button now... Connected
                                                                                
Reading list of databases in RAM and ROM...
AGVersion
AvantGo_AvGo_appl_a68k
BigClock_BClk_appl_a68k
HandEra
BatteryGraph_BatG_appl_a68k
Web History
AGChanMQ
AvGoConduits1
Snapper-MsgContent-Snpm
BatteryGraphDB
DocsToGoDB
Web UserData
Queries
WiFiDB
WiFiNetworkDB-Wpnl
AddressDB
DatebookDB

/var/log/messages shows:
Dec 28 15:34:46 libra kernel: ohci_hcd 0000:02:00.1: wakeup
Dec 28 15:34:46 libra kernel: usb 5-2: new full speed USB device using address 4
Dec 28 15:34:46 libra kernel: visor 5-2:1.0: Handspring Visor / Palm OS
converter detected
Dec 28 15:34:46 libra kernel: usb 5-2: Handspring Visor / Palm OS converter now
attached to ttyUSB0
Dec 28 15:34:46 libra kernel: usb 5-2: Handspring Visor / Palm OS converter now
attached to ttyUSB1
Dec 28 15:34:54 libra kernel: usb 5-2: USB disconnect, address 4
Dec 28 15:34:54 libra kernel: visor 5-2:1.0: device disconnected
Dec 28 15:34:54 libra kernel: Device not ready.  Make sure there is a disc in
the drive.
Dec 28 15:34:54 libra kernel: Device not ready.  Make sure there is a disc in
the drive.
Comment 2 Ngo Than 2005-03-18 04:20:05 EST
it seems a bug in kernel, which has been fixed in new kernel version
2.6.10-1.770_FC3 in FC3 update. 

Note You need to log in before you can comment on or make changes to this bug.